Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/albatross-themes: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Mon, 20 Apr 2015 11:28:16 +0000

Dark GTK2 / 3 theme from the Shimmer Project.
---
 testing/albatross-themes/APKBUILD | 70 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 70 insertions(+)
 create mode 100644 testing/albatross-themes/APKBUILD
diff --git a/testing/albatross-themes/APKBUILD b/testing/albatross-themes/APKBUILD
new file mode 100644
index 0000000..7f7b149
--- /dev/null
+++ b/testing/albatross-themes/APKBUILD
_at_@ -0,0 +1,70 @@
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=albatross-themes
+pkgver=1.7.3
+pkgrel=0
+pkgdesc="A clean minimalistic theme for Xfce, GTK+ 2 and 3"
+url="http://shimmerproject.org/project/albatross/"
+arch="noarch"
+license="GPLv2+ or CC-BY-SA"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+subpackages="$pkgname-gtk2 $pkgname-gtk3 $pkgname-metacity $pkgname-xfwm4"
+install=""
+source="albatross-$pkgver.tar.gz::https://github.com/shimmerproject/Albatross/archive/v$pkgver.tar.gz
+	commits-to-010514-since-v1.7.3.patch
+	"
+
+_builddir="$srcdir"/Albatross-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	# Remove Unity theme
+	rm -f gtk-3.0/apps/unity.css
+	sed -i '/unity\.css/d' gtk-3.0/gtk.css
+}
+
+package() {
+	cd "$_builddir"
+	mkdir -p "$pkgdir"/usr/share/themes/Albatross
+	cp -pr * "$pkgdir"/usr/share/themes/Albatross
+}
+
+_mv() {
+	pkgdesc="$1"
+	install_if="$pkgname=$pkgver-r$pkgrel $2";
+	depends=
+	local _i
+	shift; shift
+	mkdir -p "$subpkgdir"/usr/share/themes/Albatross
+	for _i; do
+		msg "moving $_i"
+		mv "$pkgdir"/usr/share/themes/Albatross/$_i  \
+			"$subpkgdir"/usr/share/themes/Albatross || return 1
+	done
+}
+
+gtk2() {
+	_mv "Albatross GTK+2 themes" gtk+2.0 gtk-2.0
+	depends="gtk-murrine-engine"
+}
+
+gtk3() { _mv "Albatross GTK+3 themes" gtk+3.0 gtk-3.0; }
+metacity() { _mv "Albatross Metacity themes" metacity metacity-1; }
+xfwm4() { _mv "Albatross Xfce4 themes" xfwm4 xfwm4; }
+
+md5sums="0e2b1dc02061c5b455d5a140150d249d  albatross-1.7.3.tar.gz
+1213ece2035d4d131bec282cbfc80d12  commits-to-010514-since-v1.7.3.patch"
+sha256sums="227d6757ae28dca57312d75951bdd8b07b24214eaca419562af16ddbec684ea8  albatross-1.7.3.tar.gz
+d65cc94593f761fff8ed70662ba0f292f871fcd43560cb03f73ee1dc4e9245cc  commits-to-010514-since-v1.7.3.patch"
+sha512sums="5150b4d56d26b6332e22e2148c6780dca406c84bdc902b5291a67e87643c72f24ac1399067a47465a6cd1a6b52b7d788c699116aaa5c0c1f9a8d37b5b77084cb  albatross-1.7.3.tar.gz
+aa2d25888c298d8efcf6487d3d872f5445965642b6830625fb0ef301d2d71f25499e5afd253bd8d9b215f35628585325d036a15e96f82d814d4ae20445e23e9f  commits-to-010514-since-v1.7.3.patch"
-- 
2.3.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Apr 20 2015 - 11:28:16 GMT